
/*
	mkshift header file
*/

#include <stdio.h>
#include <string.h>

/* definitions */
#define TRUE				1
#define FALSE				0
#define MAX_LINE_LEN		256
#define MAX_TITLE_LEN		256
#define MAX_FNAME_LEN		256
#define MIN_INT				(1 << 32 - 1)
#define MAX_INT				(~MIN_INT)

#define MIN(x,y)            (x<y? x: y)
#define MAX(x,y)            (x>y? x: y)

#define AA_UC(c)			(((c>='a') && (c<='z'))? c+'A'-'a': c)

#define MAX_ID_LEN			256
#define MAX_RES_LEN			1000
#define MIN_SEQ_LEN         3
#define INP_SEQ_SCH         '>'
#define CODES				26
#define ERROR_FLAG          -4
#define ERROR_STRING        "ERROR"
#define NO_SHIFT_VAL        999.99

#define COMMENT             '#'
/* check for comment line */
#define COMMENT_LINE(c)     (((c == '!') || (c == '#'))? TRUE: FALSE)

#define MAX_ATOM_NAME_LEN   5
#define MAX_RES_NAME_LEN    5
#define STRUCT_NUM		    5
#define MAX_RES_ATOM_NUM	40

#define BETA                0
#define COIL                1
#define HELX                2
#define TURN                3
#define NO_SS               4
#define CH_B                'B'
#define CH_C                'C'
#define CH_H                'H'
#define CH_T                'T'
#define CH_X                'X'
#define AA_SVALID(c)        (((c == CH_B) || (c == CH_C) \
							|| (c == CH_H) || (c == CH_T) \
							|| (c == CH_X))? TRUE: FALSE)

/* determine if character code is valid */
#define FIRST_CODE          'A'
#define LAST_CODE           'Z'
#define AA_CVALID(c) (((c >= FIRST_CODE) && (c <= LAST_CODE))? TRUE: FALSE)


/* convert from character code to array index */
#define AA_IX(c)            (c - FIRST_CODE)


/* define structures */

typedef struct aminoAcidRec AMINO_ACID_REC;
struct atomRec {
	double mean[STRUCT_NUM];
	double sdev[STRUCT_NUM];
	char rName[MAX_ATOM_NAME_LEN];
};
struct aminoAcidRec {
	int atomNum;
	struct atomRec atom[MAX_RES_ATOM_NUM];
};


typedef struct seqRec SEQ_REC;
struct seqRec {
	char title[MAX_LINE_LEN];
	char id[MAX_ID_LEN+1];
	int numRes;
	char pRes[MAX_RES_LEN];
	char sRes[MAX_RES_LEN];
};

/* global vars */

extern char dataFname[MAX_FNAME_LEN];
extern char bmrbFname[MAX_FNAME_LEN];
extern char specFname[MAX_FNAME_LEN];
extern char name3letter[CODES][MAX_RES_NAME_LEN];

extern SEQ_REC mySeq;
extern AMINO_ACID_REC aaTable[CODES];
