
/*
	file: rstat.c
	purpose: reads bmrb shifts database 
*/

#include "defs.h" 

/* procedure calls */
extern void show_err();
extern int pres_3to1();


/*************************************************************/
/* Read bmrb default shifts file 
*/
void read_bmrb_shift_file(fp, data)
FILE *fp;
AMINO_ACID_REC *data;
{
	int j, nd, ix, num;
	double lb, ub, mean, sdev, xi;
	char res[MAX_LINE_LEN], atom[MAX_LINE_LEN];
	char aStr[MAX_LINE_LEN], sVal[MAX_LINE_LEN];

	while (TRUE) {
		if (NULL == fgets(aStr, MAX_LINE_LEN, fp))
			break;
		if (FALSE == COMMENT_LINE(aStr[0])) {
			nd = sscanf(aStr, "%s %s %*s %*d %lf %lf %lf %lf",
				res, atom, &lb, &ub, &mean, &sdev);

			ix = pres_3to1(res);
			if (ix != ERROR_FLAG) {
				num = data[ix].atomNum;
				for (j=0; j<num; j++) {
					if (0 == strcmp(atom, data[ix].atom[j].rName)) {
						data[ix].atom[j].mean[COIL] = mean;
						data[ix].atom[j].sdev[COIL] = sdev;
						break;
					}
				}
				if (j == num) {
					sprintf(sVal, "Unable to recognize atomname: '%s'\n", aStr);
					show_err(FALSE, "read_bmrb_shift_file", sVal);
				}
			}
		}
	}

}	/* read_bmrb_shift_file */
