
/*
	file...: main.c
	purpose: predict shifts based on sequence alignment 

	author.: Robert Boyko
	date...: April 15/97	
	place..: University of Alberta / Department of Biochemistry
*/

#include "defs.h"

/* global vars */
char 	parmsFname[MAX_FNAME_LEN];
char 	csiFname[MAX_FNAME_LEN];
char 	ppmFname[MAX_FNAME_LEN];
char 	verbFname[MAX_FNAME_LEN];
char 	resultsFname[MAX_FNAME_LEN];
char 	noShiftStr[MAX_LINE_LEN];

/* procedure calls */
extern void init_orb(), do_orb();
static void show_version(), get_args();


/*************************************************************/
/* main program
*/
int main(argc, argv)
int argc;
char *argv[];
{

	show_version();
	get_args(argc, argv);
	init_orb();
	do_orb();
	return(0);

}	/* main */


/*************************************************************/
/* current version of the program 
*/
static void show_version()
{

	fprintf(stdout, "\n\n\n");
	fprintf(stdout, "********************************************************");
	fprintf(stdout, "\n\n");
	fprintf(stdout, "  Program.: orb_x (Version %s) Apr/97\n", VERSION);
	fprintf(stdout, "  Purpose.: Predict chemical shifts\n");
	fprintf(stdout, "  Author..: Robert Boyko\n");
	fprintf(stdout, "  Location: University of Alberta\n");
	fprintf(stdout, "\n");
	fprintf(stdout, "  Funding for this program is provided by the\n");
	fprintf(stdout, "  Medical Research Council of Canada and the\n");
	fprintf(stdout, "  Protein Engineering Network Centres of Excellence\n");
	fprintf(stdout, "\n");
	fprintf(stdout, "********************************************************");
	fprintf(stdout, "\n\n");

}	/* show_version */


/*************************************************************/
/* analyzing arguments to the program.
*/
static void get_args(argc, argv)
int argc;
char *argv[];
{
	int i;
		 
	strcpy(parmsFname, ORB_PARMS);
	strcpy(verbFname, "");
	strcpy(resultsFname, "");
	strcpy(csiFname, "");
	strcpy(ppmFname, "");
	strcpy(noShiftStr, NO_SHIFT_STR);

	for (i=1; i<argc; i++) {
		if (strcmp(argv[i], PARMS_FLAG) == 0) {
			strcpy(parmsFname, argv[i+1]);
			break;
		}
	}
	for (i=1; i<argc; i++) {
		if (strcmp(argv[i], VERB_FLAG) == 0) {
			strcpy(verbFname, argv[i+1]);
			break;
		}
	}
	for (i=1; i<argc; i++) {
		if (strcmp(argv[i], RESULTS_FLAG) == 0) {
			strcpy(resultsFname, argv[i+1]);
			break;
		}
	}
	for (i=1; i<argc; i++) {
		if (strcmp(argv[i], CSI_FLAG) == 0) {
			strcpy(csiFname, argv[i+1]);
			break;
		}
	}
	for (i=1; i<argc; i++) {
		if (strcmp(argv[i], PPM_FLAG) == 0) {
			strcpy(ppmFname, argv[i+1]);
			break;
		}
	}
		 
}	/* get_args */
