
/*
	file: u_mem.c
	purpose: low level memory allocation routines
*/

#include "std.h" 

/* procedure calls */
void memory_error();
extern void exit();


/*************************************************************/
/* calloc with error check
*/
int *ecalloc(len, size, msg)		
int len, size;
char *msg;
{
	int *sp;

	if ((sp = (int *)calloc(len, size)) != NULL)
		return(sp);
	memory_error(msg);
	return(NULL);

}	/* ecalloc */


/*************************************************************/
/* malloc with error check
*/
char *emalloc(size, msg)		
int size;
char *msg;
{
	char *sp;

	if ((sp = (char *)malloc(size)) != NULL)
		return(sp);
	memory_error(msg);
	return(NULL);

}	/* emalloc */


/*************************************************************/
/* prints out of memory error message and aborts. 
*/
void memory_error(msg)		
char *msg;
{

	fprintf(stdout, "\n");
	fprintf(stdout, "**************************************************\n");
	fprintf(stdout, "\n");
	fprintf(stdout, " Fatal Error: Out of memory...aborting\n");
	fprintf(stdout, " Module: %s\n", msg);
	fprintf(stdout, "\n");
	fprintf(stdout, "**************************************************\n");
	fprintf(stdout, "\n");
	exit(1);

}	/* memory_error */
