
/*
	file...: main.c
	purpose: main program for udsw program 

	author.: Robert Boyko
	date...: Feb, 2004	
	place..: University of Alberta / Department of Biochemistry
*/

#include "main.h"

char bmrbFname[MAX_FNAME_LEN];
char dswFname[MAX_FNAME_LEN];
char convertFname[MAX_FNAME_LEN];
char resultsFname[MAX_FNAME_LEN];
int RC;

/* procedure calls */
static void show_version(), get_args();
extern void do_udsw();


/*************************************************************/
/* main program
*/
int main(argc, argv)
int argc;
char *argv[];
{

	RC = 0;
	show_version(stdout);
	get_args(argc, argv);
	do_udsw();
	return(RC);

}	/* main */


/*************************************************************/
/* current version of the program 
*/
static void show_version(fp)
FILE *fp;
{

	fprintf(fp, "\n\n");
	fprintf(fp, "***************************************************\n");
	fprintf(fp, "\n");
	fprintf(fp, "  Program.: udsw (c) v1.0 Feb 2004\n");
	fprintf(fp, "  Purpose.: Update dsw format shift database\n");
	fprintf(fp, "  Author..: Robert Boyko / Brian Sykes\n");
	fprintf(fp, "  Location: University of Alberta\n");
	fprintf(fp, "\n");
	fprintf(fp, "  Usage...: udsw [bmrbFile] [dswShiftFile] [convertTable] [resultsFname] \n");
	fprintf(fp, "\n");
	fprintf(fp, "  Funding for this program is provided by the\n");
	fprintf(fp, "  Medical Research Council of Canada and the\n");
	fprintf(fp, "  Protein Engineering Network Centres of Excellence\n");
	fprintf(fp, "\n");
	fprintf(fp, "***************************************************\n");
	fprintf(fp, "\n");

}	/* show_version */



/*************************************************************/
/* analyzing arguments to the program.
*/
static void get_args(argc, argv)
int argc;
char *argv[];
{

	if (argc == 5) {
		strcpy(bmrbFname, argv[1]);
		strcpy(dswFname, argv[2]);
		strcpy(convertFname, argv[3]);
		strcpy(resultsFname, argv[4]);
	} else {
		fprintf(stdout,"Error Usage: udsw [bmrbFile] [dswShifts] [convertTable] [resultsFname] ");
	}
	fprintf(stdout, "\n");

}	/* get_args */
