
/*
	file: util.c
	purpose: low level error routines and utilities.
*/

#include "main.h" 

/* procedure calls */
void show_err();
extern void exit();
extern char *malloc();


/*************************************************************/
/* generic error handler 
*/
void show_err(fp, dieFlag, sModule, aMsg)
FILE *fp;
int	dieFlag;
char *sModule, *aMsg;
{

	fprintf(fp, "\n");
	fprintf(fp, "**************************************************\n");
	fprintf(fp, "\n");
	if (dieFlag == TRUE)
		fprintf(fp, " Fatal Error Detected!\n");
	else
		fprintf(fp, " Warning, Error Detected!\n");
	fprintf(fp, "\n");
	fprintf(fp, " Module.: %s\n", sModule);
	fprintf(fp, " Message: %s\n", aMsg);
	fprintf(fp, "\n");
	fprintf(fp, "**************************************************\n");
	fprintf(fp, "\n");

	if (dieFlag == TRUE)
		exit(1);

}	/* show_err */


/*************************************************************/
/* converts a string of characters 'inStr' to upper case letters.
*/
void upper_case(inStr)
char *inStr;
{

	register int k, len; 
	 
	len = strlen(inStr);
	for (k=0; k<=len; k++)
		inStr[k] = AA_UC(inStr[k]);

}	/* upper_case */


/*************************************************************/
/* given a 3 character residue code, return corresponding 1 letter 
*/
int pres_3to1(res)
char *res;
{
	
	if (0 == strncmp(res, "ALA", 3)) return('Z'-'A');
	if (0 == strncmp(res, "CYS", 3)) return('Z'-'C');
	if (0 == strncmp(res, "ASP", 3)) return('Z'-'D');
	if (0 == strncmp(res, "GLU", 3)) return('Z'-'E');
	if (0 == strncmp(res, "PHE", 3)) return('Z'-'F');
	if (0 == strncmp(res, "GLY", 3)) return('Z'-'G');
	if (0 == strncmp(res, "HIS", 3)) return('Z'-'H');
	if (0 == strncmp(res, "ILE", 3)) return('Z'-'I');
	if (0 == strncmp(res, "LYS", 3)) return('Z'-'K');
	if (0 == strncmp(res, "LEU", 3)) return('Z'-'L');
	if (0 == strncmp(res, "MET", 3)) return('Z'-'M');
	if (0 == strncmp(res, "ASN", 3)) return('Z'-'N');
	if (0 == strncmp(res, "PRO", 3)) return('Z'-'P');
	if (0 == strncmp(res, "GLN", 3)) return('Z'-'Q');
	if (0 == strncmp(res, "ARG", 3)) return('Z'-'R');
	if (0 == strncmp(res, "SER", 3)) return('Z'-'S');
	if (0 == strncmp(res, "THR", 3)) return('Z'-'T');
	if (0 == strncmp(res, "VAL", 3)) return('Z'-'V');
	if (0 == strncmp(res, "TRP", 3)) return('Z'-'W');
	if (0 == strncmp(res, "TYR", 3)) return('Z'-'Y');

	return(-1);

}	/* pres_3to1 */
