
/*
	header file for reading from the seqbank database 
*/

#define SB_SCH				'>'
#define SB_REF				"#REFERENCE :"
#define SB_SEQ				"#SEQBANK ID:"
#define SB_BRK				"#BRKHAVN ID:"
#define SB_PIR				"#PIR-NBR ID:"
#define SB_SWI				"#SWISPRO ID:"
#define SB_RES				"#RESOLUTION:"
#define SB_FAC				"#R FACTOR  :"
#define SB_OLD				"#FOLD CLASS:"
#define SB_NUM				"#NUM RESIDU:"
#define FIELD_LEN			12

#define NONE				0
#define REF_FLD				1
#define SEQ_FLD				2
#define BRK_FLD				3
#define PIR_FLD				4
#define SWI_FLD				5
#define RES_FLD				6
#define FAC_FLD				7
#define OLD_FLD				8
#define NUM_FLD				9


#define A_CFORM				"A"	
#define B_CFORM				"B"	
#define AB_CFORM			"AB"
#define M_CFORM				"M"
#define CA_CFORM			"CA"
#define CB_CFORM			"CB"
#define CM_CFORM			"CM"

#define A_IFORM				1
#define B_IFORM				2
#define AB_IFORM			3
#define M_IFORM				4
#define CA_IFORM			5
#define CB_IFORM			6
#define CM_IFORM			7

#define MAX_TITLE_LEN		256
#define MAX_REFS			10
#define MAX_ID_LEN			20

struct sbRec {
	char    title[MAX_TITLE_LEN];
	char    ref_id[MAX_REFS][MAX_LINE_LEN];
	char    seq_id[MAX_ID_LEN];
	char    brk_id[MAX_ID_LEN];
	char    pir_id[MAX_ID_LEN];
	char    swi_id[MAX_ID_LEN];
	char    res[MAX_ID_LEN];
	char    r_fact[MAX_ID_LEN];
	int     fold;
	int     len;
	char    *pRes;
	char    *sRes;
};

typedef struct sbRec SB_REC;

