
/*
   xalign header file	
*/

/********************/
/* definitions      */
/********************/

#define VERSION				"6.0"
#define XALIGN_USER_PARMS	"xalign.parms"
#define PAIR_ALIGN_CHAR		'.'

/* Parameter Keywords */
#define PARM_PREFIX         "XALIGN"
#define PARM_NUM            21
#define SCOR_PARMS			0
#define SCOR_MATRIX			1
#define SS_SCOR_MATRIX		2
#define GAP_PEN				3
#define GAP_PEN_SIZE		4
#define MID_GAP_PEN			5
#define END_GAP_PEN			6
#define NEAR_MATCH			7
#define BLANK_MATCH			8
#define STRUCT_BIAS			9
#define INC_GAP_PEN			10
#define PRINT_FORMAT		11
#define PRINT_PAIRWISE		12
#define PRINT_PCT_HOM		13
#define PRINT_ORDER			14
#define CONSENSUS_PCT		15
#define RES_LINE_LEN		16
#define DATA_FORMAT			17
#define DATA_FILE			18
#define SEQ_SELECT			19
#define ASCII_FLAG			20

#define KEY_SCOR_PARMS		"XALIGN:SCOR_MATRIX"
#define KEY_SCOR_MATRIX		"KEY:WT_PMAT"
#define KEY_SS_SCOR_MATRIX	"KEY:WT_SMAT"
#define KEY_GAP_PEN			"KEY:GAP_PEN"
#define KEY_GAP_PEN_SIZE	"KEY:GAP_PEN_SIZE"
#define KEY_MID_GAP_PEN		"KEY:MID_GAP_PEN"
#define KEY_END_GAP_PEN		"KEY:END_GAP_PEN"
#define KEY_BLANK_MATCH		"KEY:BLANK_MATCH"
#define KEY_NEAR_MATCH		"KEY:NEAR_MATCH"
#define KEY_STRUCT_BIAS		"XALIGN:STRUCT_BIAS"
#define KEY_INC_GAP_PEN		"XALIGN:INC_GAP_PEN"
#define KEY_PRINT_FORMAT	"XALIGN:PRINT_FORMAT"
#define KEY_PRINT_PAIRWISE	"XALIGN:PRINT_PAIRWISE"
#define KEY_PRINT_PCT_HOM	"XALIGN:PRINT_PCT_HOM"
#define KEY_PRINT_ORDER		"XALIGN:PRINT_ORDER"
#define KEY_CONSENSUS_PCT	"XALIGN:CONSENSUS_PCT"
#define KEY_RES_LINE_LEN	"XALIGN:RES_LINE_LEN"
#define KEY_DATA_FILE		"XALIGN:DATA_FILE"
#define KEY_DATA_FORMAT		"XALIGN:DATA_FORMAT"
#define KEY_SEQ_SELECT		"XALIGN:SEQ_SELECT"
#define KEY_ASCII_FLAG		"XALIGN:ASCII_FLAG"

/* parameter restrictions */
#define MIN_GAP_PEN			0	
#define MAX_GAP_PEN			(10 * MAX_WT_MAT_VAL)	
#define MIN_GAP_SIZE_PEN	0	
#define MAX_GAP_SIZE_PEN	MAX_WT_MAT_VAL	
#define MIN_END_STRUCT_LEN	0
#define MAX_END_STRUCT_LEN	5	
#define MIN_INC_GAP_PEN		0	
#define MAX_INC_GAP_PEN		100	
#define MIN_STRUCT_BIAS		-100	
#define MAX_STRUCT_BIAS		100	
#define MIN_RES_LINE_LEN	3
#define MAX_RES_LINE_LEN	256
#define END_STRUCT_LEN		1

/* output symbols */ 
#define AA_MATCH			'|'
#define AA_NEAR_MATCH		'*'
#define AA_NOT_MATCH		' '
#define NO_CONSENSUS		'-'
#define ALIGN_GAP_CHAR      ' '

/* sequence restrictions */
#define MIN_SEQ_LEN			3
#define ANCHOR_PEN          10000
#define GROUPING_PEN        5000
#define MAX_MULT_ALIGN      500
#define ANCHOR_POS			(CODES + 1)
