
/*
	file: util.c
	purpose: low level error routines and utilities.
*/

#include "defs.h" 

/* procedure calls */
extern void exit();


/*************************************************************/
/* generic error handler 
*/
void show_err(dieFlag, sModule, aMsg)
int dieFlag;
char *sModule, *aMsg;
{

	fprintf(stdout, "\n");
	fprintf(stdout, "**************************************************\n");
	fprintf(stdout, "\n");
	if (dieFlag == TRUE)
		fprintf(stdout, " Fatal Error Detected!\n");
	else
		fprintf(stdout, " Warning, Error Detected!\n");
	fprintf(stdout, "\n");
	fprintf(stdout, " Module.: %s\n", sModule);
	fprintf(stdout, " Message: %s\n", aMsg);
	fprintf(stdout, "\n");
	fprintf(stdout, "**************************************************\n");
	fprintf(stdout, "\n");

	if (dieFlag == TRUE)
		exit(1);

}	/* show_err */


/*************************************************************/
/* converts a string of characters 'inStr' to upper case letters.
*/
void to_upper(inStr, outStr)
char *inStr, *outStr;
{
	register int k, len;

	len = strlen(inStr);
	for (k=0; k<=len; k++)
		outStr[k] = AA_UC(inStr[k]);

}   /* to_upper */

